import sys
import asyncio
from csv import DictWriter, unix_dialect

import typer

from knoc_splynx.ksplynx import splynx_api

app = typer.Typer(no_args_is_help=True)


@app.command()
def get_customers():
    """Fetch and import records lists"""
    result = asyncio.run(splynx_api.login(headers=[("Connection", "close")]))
    result = asyncio.run(splynx_api.get_customers())
    typer.echo(f"Got {len(result)} items")
    writer = DictWriter(
        sys.stdout,
        delimiter=";",
        fieldnames=result[0].keys(),
    )
    writer.writeheader()
    writer.writerows(result)
